# Easy
An easy Flutter state management that allows minimal rebuild of widgets and improves performance.

## Getting Started

Add EasyManager and your state class to Main:

example:

```dart
import 'easy_bloc.dart';
import 'package:flutter/material.dart';

void main() {
  runApp(Easy<AppBloc>(builder: (context) => AppBloc(),
    child: MyApp(),
  ));
}

class AppBloc extends EasyBloc {
  int counter = 0;

  @override
  void touch() {
    counter++;
    super.touch();
  }
}

class MyApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    final bloc = EasyState.of<AppBloc>(context, listen: false);
    return MaterialApp(
        title: 'EasyState',
        home: Scaffold(
          floatingActionButton: FloatingActionButton(
              child: Icon(Icons.add), onPressed: () => bloc.touch()),
          body: Center(
            child: Store<AppBloc>(
              builder: (context, value, child) => Text(
                "${value.counter}",
                style: TextStyle(fontSize: 50),
              ),
            ),
          ),
        ));
  }
}
```
